View Issue Details

IDProjectCategoryView StatusLast Update
0016483MediaMonkey 5Track Browserpublic2021-09-29 15:41
Reporterrusty Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status resolvedResolutionreopened 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0.2 
Summary0016483: Folders node is confusing to new users
DescriptionUnless the users read MM documentation, the Folders node can be quite confusing because:
a) it isn't up to date with changes the user has made to the database
b) changes made in this node don't appear in the database (unless the file monitor is enabled)

To improve this situation, it was decided to:
1) Add a Toast message to help users understand the functionality:
"The Folders node only displays/edits metadata in file tags. To view/edit metadata that's in the database, use the _library 'Location' node_."

Note:
a) Clicking "Library 'Location' node" switches to the equivalent node in Entire Library > Location
b) closing the toast message should prevent it from popping up again
c) There should be a mechanism in Tools > Options > Confirmations to '[ ] Re-enable disabled warning messages'
(we might want to even get rid of all the options there and just have a single option to reset all such confirmation dialogs / toasts)

2) Possibly change the default behavior of Folders so that tag changes made there are automatically applied to the library. As discussed, this is less critical once we change the default MM5 behavior to Monitor scanned folders, but such a change might be valuable nonetheless since it's probably expected behavior even if the file monitor is disabled.

If we implement implement this, the toast should instead be:
"The Folders node only displays metadata stored to file tags. To view metadata that's in the database, use the _library 'Location' nodes_."

Additional Information[Ticket # 2689]
https://www.mediamonkey.com/forum/viewtopic.php?p=487001#p487001
TagsNo tags attached.
Fixed in build2503

Relationships

related to 0016482 closedLudek Tag editing under Folders node is broken (for files already in the library) 
related to 0017084 closedLudek Folders browser: Toast message not showing 
related to 0018075 closedLudek Renaming folder can result in tracks rating 
related to 0018347 resolvedmichal Album art is "missing" after migration to MM5 
related to 0018307 closedmichal Online files Find more from same discrepancy 

Activities

Ludek

2020-04-02 16:48

developer   ~0057464

Last edited: 2020-04-02 19:58

View 2 revisions

1a/1b) implemented in 2239

1c) I would leave it as is for at least for 5.0
I think it is still useful to temporarily enable just "Scan results" dialog etc. -- without enabling all confirmations at once.
And this toast message is rather a first time informative mesage (that does not need re-enabling)

rusty

2020-04-07 22:37

administrator   ~0057535

Verified 1a) however, the toast should only appear when the user enters a Folder node from a different Root node. i.e. if the user is browsing from Folder A to child of Folder A to child of child of folder A, the Toast message shouldn't pop up each time!

Also, it might be useful to display this as a tooltip for the Folder node.

1b) Not yet verified

Ludek

2020-04-08 21:31

developer   ~0057567

Last edited: 2020-04-08 21:32

View 2 revisions

1a) ok, fixed in 2241 + added also as a tooptip for 'Folders' node

michal

2020-04-11 14:18

developer   ~0057579

Reopened, the fix caused, that files are not shown at all under Folders node now.

Ludek

2020-04-13 09:02

developer   ~0057583

Fixed in 2241 + prolonged the timeout to 10 seconds as some users (like Macarena from IFY-813-43824 ) indicated that 5 seconds is too short for reading whole the text.

peke

2020-11-13 01:07

developer   ~0060165

Verified 2273

10 Seconds seams to be enough tracks show normally even for drives on NAS and HDDs in sleep mode.

Ludek

2021-06-28 21:13

developer   ~0064090

Last edited: 2021-06-28 21:27

View 4 revisions

Re-opening for item 2)

Peke had a right reminder that editing info read from the file tag exclusively could overwrite the DB only values (e.g. play count / last time played).
So IMO the files already in the DB should read the metadata from DB also -- i.e. showing the play count / last time played etc. + also write these fields to DB+tag (be it selected under the Folders node or not).

rusty

2021-06-29 21:18

administrator   ~0064109

To summarize point 2): there are 2 closely related issues:
a) what does the user expect to see in this node:
 . i - tag metadata OR
 . ii - library metadata
b) what should be updated when changes are made in this node. The approach taken re. updates should depend on whether a)i or a)ii is used;
 - if a)i: updates should be based on what the user sees in the node (tag metadata only), and most users would expect the change to be saved to the library as well (the downside being that unsaved Library updates will be lost).
 - if a)ii: updates should be based on what the user sees in the node (library metadata), and be saved to the library and tag.

My personal feeling is that as a power tool, MM must have the ability to show users what is contained within tags (I've certainly used this functionality when trying to ascertain what is actually tagged in MM, and would hate to have to refer users to a third-party application to do so). At the same time, it seems that the toast message doesn't always achieve the desired goal of informing users how this node works.

Perhaps the solution is to have 2 views for Folders, one showing Tag metadata and the other library metadata. This could be implemented via either:
- Views: e.g. [Show tag metadata] / [Show library metadata] appearing prominently at the top (e.g. next to / within the breadcrumb bar), and allow the user to switch between modes.
- Folder sub-hierarchies e.g. Tag metadata / Library metadata.

Ludek

2021-09-16 14:16

developer   ~0064670

Last edited: 2021-09-16 14:34

View 5 revisions

I would say that users mostly expects library metadata to be shown for tracks already in llibrary.

Isn't the 'Files to Edit' > 'DB/Tag Mismatches' already the place where user expects the tag versus DB metadata to compare?
Alternatively user can just temporarily copy the track to another folder and D&D the track to Playing panel to see tag metadata. At least this was the way I have been always using when analyzing tag only metadata in MM.

BTW: By analyzing the code I found that we have already a hidden config to show library content under 'Folders' (previously known as 'My Computer' node).
The config is in the MediaMonkey.ini and si called 'UseDBforComputerNode', but I haven't found it in MM4 options and it does not seem to be documented.

barrym

2021-09-16 15:04

reporter   ~0064671

The Toast message is not clear enough IMO.
I think it should be more specific, and less technical.
Not The Folders node only displays/edits metadata in the file tags.
Instead THIS node only displays/edits INFORMATION in YOUR ACTUAL MUSIC TRACKS.

nb. when I open the Track properties database when in the normal database collection nodes, the panel heading is FILE PROPERTIES .... ie. File being the same word that you are expecting people to have a different understanding of in your existing Toast message.

I somewhat agree with Ludek's point this task may be an overkill. It would be good if F1 key in Folders node linked to a Folder node specific page, which prominently covered the DB/TAG mismatch facility.

Issue: The DB/Tag Mismatches node identifies tracks that are different, but it doesn't show what the difference is .... that is not enough info really.

And the Mismatch node takes a long time to open, unless you create a small targeted Collection for the task.
I would agree more if there was a FilesToEdit>DB/TAGMismatch node inside each of the terminal nodes of the Folder node, and|or the Location sub-node, and it showed tool tips to show the difference.

If the proposed facility is developed, I think that it be good if it was implemented similar to the Artist and Album Detail Pages. i.e. with tabs on the right right corner "YOUR ACTUAL TRACKS" and "MEDIAMONKEY DATABASE"
A third tab of "DIFFERENCES" would be nice .... would be good in the Album & Artist Detail pages also btw

Ludek

2021-09-16 15:36

developer   ~0064672

I have changed the hidden's INI config default to TRUE and removed the toast message and tooltips (""The Folders node only displays metadata stored to file tags. To view metadata that's in the database, use the _library 'Location' nodes_."")

So the novice users will see the library metadata + another big advantage is that browsing Folders node is now much faster (for files already in library -- as tag reading isn't needed anymore).

=> Implemented in 2503.

Let's collect the feedback, note that we might want to rename the config so that it defaults to library metadata also for existing users -- or alternativelly add a checkbox for this to Options.

peke

2021-09-17 23:09

developer   ~0064735

Verified 2503

Toast message is not shown anymore.

Ludek

2021-09-29 15:41

developer   ~0064908

FYI: The INI config was renamed by Michal in course of fixing 0018347 to UseDBforFoldersNode with default TRUE
So in 2507+ the files already in library will be read with library data (faster + prevents from possible data loss described in notes above)